summaryrefslogtreecommitdiff
path: root/import-layers/meta-openembedded/meta-oe/recipes-core/llvm/llvm-common/llvm-config
diff options
context:
space:
mode:
authorPatrick Williams <patrick@stwcx.xyz>2016-08-17 23:04:38 +0300
committerPatrick Williams <patrick@stwcx.xyz>2016-08-22 19:43:32 +0300
commitb48b7b4109868a8c0ddda090992e936e821c7ea6 (patch)
tree696be8ea782f2548c0f63bb0188f4c8d3eeed681 /import-layers/meta-openembedded/meta-oe/recipes-core/llvm/llvm-common/llvm-config
parentd849ec78de728ef9a2d383b92ccfeabf40f8f1d0 (diff)
downloadopenbmc-b48b7b4109868a8c0ddda090992e936e821c7ea6.tar.xz
Squashed 'import-layers/meta-openembedded/' content from commit 247b126
Change-Id: I40827e9ce5fba63f1cca2a0be44976ae8383b4c0 git-subtree-dir: import-layers/meta-openembedded git-subtree-split: 247b1267bbe95719cd4877d2d3cfbaf2a2f4865a Signed-off-by: Patrick Williams <patrick@stwcx.xyz>
Diffstat (limited to 'import-layers/meta-openembedded/meta-oe/recipes-core/llvm/llvm-common/llvm-config')
-rw-r--r--import-layers/meta-openembedded/meta-oe/recipes-core/llvm/llvm-common/llvm-config10
1 files changed, 10 insertions, 0 deletions
diff --git a/import-layers/meta-openembedded/meta-oe/recipes-core/llvm/llvm-common/llvm-config b/import-layers/meta-openembedded/meta-oe/recipes-core/llvm/llvm-common/llvm-config
new file mode 100644
index 000000000..a9a416d93
--- /dev/null
+++ b/import-layers/meta-openembedded/meta-oe/recipes-core/llvm/llvm-common/llvm-config
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Wrapper script for real llvm-config. Simply calls
+
+if [ $WANT_LLVM_RELEASE ]; then
+ exec `dirname $0`/${TARGET_PREFIX}llvm-config$WANT_LLVM_RELEASE ${@}
+else
+ echo "The variable WANT_LLVM_RELEASE is not defined and exported"
+ echo "by your build recipe. Go figure."
+ exit 1
+fi